dpkg-scanpackages(1)

NAMN
dpkg-scanpackages - skapar indexfilerna Packages

SYNOPS
dpkg-scanpackages [flaggor] binärkatalog [överstyrningsfil [sökvägsprefix]] > Packages

BESKRIVNING
dpkg-scanpackages går genom ett träd av Debianbinärpaket och skapar en Packages-fil, som apt(8), dselect(8) osv. använder för att berätta för användaren vilka paket som kan installeras. Dessa Packages-filer är desamma som de som finns på Debianarkivspeglar och cd-rom:ar. Du kan använda dpkg-scanpackages själv för att skapa en katalog med lokala paket att installera på en klase maskiner.

Observera: Om du vill läsa den skapade Packages-filen med apt måste du antagligen komprimera filen med bzip2(1) (vilket skapar filen Packages.bz2) eller gzip(1) (vilket skapar filen Packages.gz). apt ignorerar okomprimerade Packages-filer, förutom vid lokal åtkomst (dvs. file://-källor).

binärkatalog är namnet på trädet med binärpaketen som skall hanteras (till exempel contrib/binary-i386). Det är bäst att skapa den relativt till roten på Debianarkivet eftersom all filnamnsfält i den skapade Packages-filen kommer inledas med strängen.

överstyrningsfil är namnet på en fil som skall läsas in och som innehåller information om hur paketet passar in i distributionen; se nedan.

sökvägsprefix är en frivillig sträng som läggs till i början i filnamnsfältet.

Om mer än en version av ett paket upptäcks kommer endast den senaste att tas med i utdata. Om de har samma version och bara skiljer i arkitektur kommer bara den första som hittas att användas.

FLAGGOR

-t, --test typ
    Sök efter *.typ-paket, i stället för *.deb.

-u, --udeb
    Föråldrat alias till -tudeb.

-a, --arch arkitektur
    Använd ett mönster som består av *_all.deb och *_arkitektur.deb istället för att söka efter alla deb-arkiv.

-m, --multiversion
    Ta med alla paket som hittas i utdata.

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

DIAGNOSTIK
dpkg-scanpackages skriver ut de vanliga självförklarande felen. Det varnar även om paket ligger i fel katalog har dubbletter, har ett Filename-fält i sin control-fil, saknas från överstyrningsfilen, eller har substitueringar utan effekt skrivna av paketansvariga.

SE ÄVEN
dpkg(1), dselect(1), deb-override(5), dpkg-scansources(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.